Skip to main content
POST
/
core
/
companies
/
{company_id}
/
journal_entries
curl --request POST \
  --url https://api.integrations.commenda.io/v4/core/companies/1/journal_entries \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '{
  "data": {
    "document_number": "ROOTFI01",
    "posted_date": "2021-09-28T15:00:00.000Z",
    "description": "Test Invoice",
    "currency_id": "GBP",
    "business_unit_id": "1",
    "journal_lines": [
      {
        "account_id": "123456",
        "type": "DEBIT",
        "net_amount": 100,
        "contact_id": "123456",
        "tax_id": "123456",
        "tracking_category_ids": [],
        "description": "Test Item"
      },
      {
        "account_id": "123456",
        "type": "CREDIT",
        "net_amount": 100,
        "contact_id": "123456",
        "tax_id": "123456",
        "tracking_category_ids": [],
        "description": "Test Item"
      }
    ]
  }
}'
{
  "data": {
    "rootfi_id": 123,
    "rootfi_deleted_at": null,
    "rootfi_created_at": "2024-01-25T09:00:00Z",
    "rootfi_updated_at": "2024-01-25T09:00:00Z",
    "rootfi_company_id": 123,
    "platform_id": "123456_1",
    "account_id": "123456",
    "amount": 100,
    "currency_id": "123456",
    "journal_entry_type": "Example Journal Entry Type",
    "description": "Example Description",
    "updated_at": "2024-01-25T09:00:00Z",
    "currency_rate": 1,
    "posted_date": "2024-01-25T09:00:00Z",
    "document_number": "123456",
    "journal_lines": [
      {
        "platform_id": "123456",
        "journal_entry_id": "123456",
        "account_id": "123456",
        "contact_id": "123456",
        "tax_id": "123456",
        "tracking_category_ids": [
          "123456"
        ],
        "type": "DEBIT",
        "description": "This is a description",
        "net_amount": 100,
        "tax_amount": 100,
        "updated_at": "2024-01-22T05:07:31.000Z"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt

Use this file to discover all available pages before exploring further.

The Journal Entries are basic records of a company’s financial transactions used to record the debits and credits of each transaction.
Pass data as a single object for synchronous writes (default). For writes with two or more records, pass data as an array and add ?run_async=true. You can also set ?run_async=true with a single record to run asynchronously and receive only a sync_id.
curl --request POST \
  --url https://api.integrations.commenda.io/v4/core/companies/1/journal_entries \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '{
  "data": {
    "document_number": "ROOTFI01",
    "posted_date": "2021-09-28T15:00:00.000Z",
    "description": "Test Invoice",
    "currency_id": "GBP",
    "business_unit_id": "1",
    "journal_lines": [
      {
        "account_id": "123456",
        "type": "DEBIT",
        "net_amount": 100,
        "contact_id": "123456",
        "tax_id": "123456",
        "tracking_category_ids": [],
        "description": "Test Item"
      },
      {
        "account_id": "123456",
        "type": "CREDIT",
        "net_amount": 100,
        "contact_id": "123456",
        "tax_id": "123456",
        "tracking_category_ids": [],
        "description": "Test Item"
      }
    ]
  }
}'

Authorizations

api_key
string
header
required

Path Parameters

company_id
integer
required

RootFi company ID for the company connection to read or write.

Query Parameters

run_async
boolean
default:false

When true, the write runs asynchronously and returns only a sync_id. Required when data contains two or more records. Optional for single-record writes.

Body

application/json
data
accountingCreateJournalEntryObject · object
required

Single record for synchronous writes (default). For two or more records, pass an array and set query parameter run_async=true.

Response

data
accountingJournalEntryObject · object

The data of the created JournalEntry

sync_id
string | null

The sync id of the request